Welcome to TextAloud

Welcome to TextAloud, the world's most popular Text To Speech tool. It uses voice synthesis to create spoken audio from text. You can listen on your PC or save text to MP3 or wave files for listening later. Even better, if you have a portable audio device you can take your text as MP3 files to the gym, in your car, or anyplace you need to go.

Users range from lawyers listening to proofread contracts, to busy students getting through their assigned reading without the eye strain, to commuters listening to news or making their own audiobooks from ebooks. We get business people, educators, writers, speakers, and all kinds of people who soon find TextAloud to be an indispensable utility. TextAloud is a great tool for learning English. We also have many other languages plus a variety of natural sounding voices available to give your computer some real personality. Can your computer really sound like a human being without costing a fortune? Listen to samples of some of the premium voices we offer and you'll be surprised at the quality and value you can get with TextAloud.

Do you or does someone you know need help using their computer because of a disability? TextAloud is popular for many Assistive Technology uses like low vision as well as dyslexia and other learning disabilities, etc. Anyone can try TextAloud for free and we often hear from people who tell us it's genuinely changed their lives. We also have a great site license program for schools and organizations interested in multiple copies.

Maybe you're trying a Text To Speech product for the first time or just wondering what TextAloud can do for you? Check out the Getting Started section, or just send us an email now with your questions and watch how quickly we respond. We are truly dedicated to supporting our products and staying in tune with our customers so you'll be amazed at the personal service we provide.

Features at a glance

  • Single-Article and Multi-Article Mode for listening to articles one at a time, or building a playlist to listen to later.
  • Load articles using the Clipboard, Document Import, Hot Keys and Drag and Drop.
  • Support for Word, PDF and HTML documents.
  • Support for multiple Text-To-Speech engines, including international voices.
  • Support for WAV, MP3 and WMA audio files.
  • Proofread tool for listening to documents as you proofread.
  • Plugin toolbar for Internet Explorer to listen to web pages.

Thanks for trying TextAloud, and don't forget to visit us at http://www.nextup.com


Using TextAloud for the First Time

After installing TextAloud, you can start speaking like this:

  • Type some text into the large area beneath the Speed and Pitch slider controls
  • Press the Speak button on the panel immediately to the right of the Speed and Pitch slider controls.

Thats all there is to it. You can go on now to the other "Getting Started" pages and see what TextAloud can do for you. If you run into problems or have any questions at all, please contact us at support@nextup.com and we'll get back to you right away !


Listening to Selected Text

TextAloud can speak text from any application on your computer that can write to the Windows Clipboard . Follow these steps:

  • Place TextAloud in Single-Article Mode by pressing the Single button on the TextAloud toolbar.
  • Use your mouse to select/highlight an area of text you want to listen to.
  • Press Ctrl+C. (Press both keys at the same time)
  • You will be prompted by TextAloud to "Copy Clipboard to Speech Buffer". Click the New button.
  • You should now see an article in TextAloud containing the text you selected.
  • To listen to the text, press the toolbar Speak button

Tips

  • The TextAloud prompt to copy from the Windows Clipboard is configurable, and can disabled if needed. See Clipboard Options .
  • Single-Article Mode can be configured to speak text automatically as it is copied.

Related Topics

Single-Article Mode

Multi-Article Mode


Listening to Documents

You can use TextAloud to listen to your documents. To listen to a document, follow these steps:

  • Select File -> Open from the menu, or press the Open button on the toolbar.
  • Select a directory
  • Optionally select a file type from the bottom of the Open Dialog.
  • Select a file.
  • Press the Open button on the Open Dialog. TextAloud will load the selected document as a new article .
  • To listen to the document, press the Speak button on the panel immediately to the right of the Speed and Pitch slider controls. If you are using Multi-Article Mode , pressing the Speak button on the toolbar will read all articles in sequence.

Related Topics

Importing Documents


Creating Audio Files

TextAloud can generate audio files from articles you've loaded. Available output formats include WAV, MP3 and WMA. To generate an audio file, follow these steps:

  • Load one or more articles into TextAloud.
  • From the menu, select Options -> Voices and File Options
  • Select the File Options panel
  • Choose an audio file format
  • Choose a Bit / Sample Rate setting
  • Choose an output file directory
  • Press the OK button
  • From the main window, press either the To File button in the toolbar, or the Speak To File button located in the Speed / Pitch panel under the toolbar.

If using Multi-Article mode, use the Article Options panel to determine if articles are written to one audio file or multiple audio files.

Related Topics

Loading Articles

Single-Article Mode

Multi-Article Mode

Audio File Options


Loading Articles

The following methods are available to create articles in TextAloud.

  • Windows Clipboard
  • Document Import (File -> Open)
  • Import HotKey
  • Drag and Drop

To Create Articles Using the Windows Clipboard

By default, TextAloud will monitor your Windows Clipboard and display a prompt whenever the clipboard is updated. See Clipboard Options for information on how you can control the display of the clipboard prompt, and disable the prompt if necessary.

  • Use your mouse to select / highlight an area of text.
  • Press Ctrl+C. (Press both keys at the same time)
  • You will be prompted by TextAloud to "Copy Clipboard to Speech Buffer".
  • On the clipboard prompt, click the New button to create a new article , or the Append button to append the selected text to the current article .

To Create Articles Using Document Import (File -> Open)

  • Press the Open button on the toolbar, or select File -> Open from the menu.
  • Select a directory.
  • Optionally select a file type from the bottom of the Open Dialog.
  • Select one file if in Single-Article Mode. Multi-Article Mode allows multiple files to be selected.
  • Press the Open button on the Open Dialog.

To Create Articles Using the Import HotKey

  • From HotKey Setup, configure an Import HotKey.
  • Use your mouse to select / highlight an area of text.
  • Press the Import HotKey

To Create Articles Using Drag and Drop

  • Make sure the TextAloud main window is currently visible (not minimized).
  • Using your mouse, select / highlight an area of text.
  • Position your mouse over the selected text, then press and hold down the left mouse button.
  • While keeping the left mouse button pressed, drag the text anywhere over the TextAloud window.
  • Release the mouse button.

Tips

  • The TextAloud prompt to copy from the Windows Clipboard is configurable, and can disabled if needed. See Clipboard Options .
  • The Import HotKey and Drag and Drop are useful for bypassing the clipboard popup prompt.

Related Topics

Clipboard Options

Importing Documents

HotKey Setup


Configuring the User Interface

There are several options available for configuring both appearance and how your keyboard is used. This page describes how to configure the following:

  • Main Window Toolbar
  • Floating Toolbar
  • Article Font, Text Size and Colors
  • Skins
  • HotKeys
  • Shortcuts

Configuring the Main Window Toolbar

The Main Window Toolbar is the row of icons displayed just below the menu at the top of the TextAloud window. These buttons are shortcuts to common tasks.To configure the Main Window Toolbar :

  • From the menu, select Options -> TextAloud Options
  • Select the Miscellaneous Options panel
  • From the Toolbar Button Style dropdown list, choose either Small, Large with captions, or Large without captions.
  • Press the OK button.

To Hide the Schools and Languages buttons on the toolbar:

  • Right click either of these buttons.
  • Select "Hide" from the popup menu.

If the Languages and/or Schools buttons are hidden, they can be redisplayed by right clicking anywhere on the toolbar and selecting "Show Hidden Buttons" from the popup menu.

Configuring the Floating Toolbar

The Floating Toolbar gives you access to convenient buttons on the main window toolbar while hiding the window. To configure the Floating Toolbar:

  • From the menu, select Options -> TextAloud Options
  • Select the Miscellaneous Options panel
  • Use the "Show Floating Toolbar" dropdown list to configure when the toolbar is displayed. See Miscellaneous Options for an explanation of the available choices.
  • Use the "Floating Toolbar Button Style" to change the style of the buttons.
  • Use the "Floating Toolbar Always on Top" checkbox to choose whether or not the Floating Toolbar should be forced to display on top of any other windows you currently have open.
  • Press the OK button.

Configuring Article Font, Text Size and Colors

  • From the menu, select Options -> Article Font / Text Size. The font dialog allows you to select the font, text colors and text size for articles in TextAloud. See Article Font / Text Size for details.

Using Skins

Skins allow you to completely change the look and feel of the TextAloud user interface. Predefined skins can change everything from color to the look-and-feel of window controls like radio buttons and checkboxes. To configure skins:

  • From the menu, select Options -> TextAloud Options
  • Select the Skins panel
  • Choose a skin from the list.
  • Use the Test button to get an idea of what a selected skin will look like.
  • Choose the selection "None (Skins Disabled)" to use TextAloud without skins.
  • Press the OK button to use the new skin. You can test various skins before exiting the dialog.

Configuring HotKeys

HotKeys allow access to TextAloud functions from other applications. HotKeys allow you to bypass the Windows Clipboard for importing articles to TextAloud, or to control speaking (Pause, Resume or Stop) without using the TextAloud window.

  • From the menu, select Options -> HotKey Setup .

Configuring Shortcuts

Shortcuts provide quick access to menu entries in the TextAloud main menu. You can change the predefined shortcuts to others if you prefer, or add new shortcuts. To configure shortcuts:

  • From the menu, select Options -> Shortcut Setup .
  • Scroll through the list of menu selections for the entry you wish to define a shortcut for.
  • Click the Edit button
  • On the edit form, simply press the combination of keys you wish to assign.
  • Press the OK button.

Related Topics

Skins

Miscellaneous Options

HotKey Setup

Shortcut Setup

Article Font / Text Size


Importing Documents

Use File -> Open, or the Open button on the toolbar to import documents into TextAloud.

TextAloud currently supports the following document types:
Document Type | File Extension
Text File | .txt
Word Document | .doc
Rich Text Format | .rtf
HTML | .html
PDF | .pdf

Multiple Documents

In Multi-Article Mode, multiple documents may be selected from the Open dialog. Each document will be added to TextAloud as a new article .

External Document References

If the document text size exceeds 100K, the document is not loaded directly into TextAloud. Instead, an article is created, and a reference to the document is stored in the article . This is mainly to prevent problems related to scrolling in very large articles as the Text-To-Speech Engine processes the text.

The 100K limit was chosen simply because its conservative and should be a reliable limit in most cases. The limit can be increased if desired; contact us support@nextup.com for details.

Tips

  • For importing large text files, use the File Splitter utility to split large files into multiple smaller files. Using Multi-Article mode, you can then read the resulting files into multiple articles. This can be especially useful for creating audio files from large text files.

Related Topics

Multi-Article Mode


Proofreading Documents

TextAloud can be used for proofreading documents. When proofreading, the TextAloud main window automatically minimizes, and a separate window specially designed for proofreading is loaded with text selected from a document. Proofreading is initiated by using a HotKey that you define.

Configuring a HotKey for Proofreading

  • From the menu, select Options -> HotKey Setup
  • Define the Proofread HotKey

Proofreading a Document

  • Using your mouse, highlight text in a document you wish to proofread.
  • Press the Proofread HotKey, defined above.
  • The Proofread window will close automatically when proofreading is finished.

While the Proofread window is displayed, you can change the Voice and Speed using controls at the bottom of the window. Font, foreground color and background color can be selected by pressing the Font / Colors Button.

Clicking anywhere in the text area of the window will stop speaking and close the window, allowing you to make corrections to your document.

Related Topics

HotKey Setup


Basic Pronunciation Editor

The Basic Pronunciation Editor provides very simple control over the pronunciations of words that are not pronounced correctly by Text-To-Speech engines. When using the Basic Editor, you simply substitute words that sound like the pronunciation you want, and TextAloud performs the substitutions automatically before sending text to the speech engine.

Accessing the Basic Pronunciation Editor

Changing the Pronunciation of Substrings

Pattern Matching With Masks and Regular Expressions

Accessing the Basic Pronunciation Editor

From the menu, select Options -> Pronunciation Editor

The following fields are available in the Basic Pronunciation Editor

Field Name | Description
Word | Enter the word you wish to enter a new pronunciation for.
Pronunciation | Enter a word or phrase that sounds like the pronunciation you want.
Case Sensitive | Indicate whether or not this substitution is case sensitive.
Test Voice | Choose a voice from the dropdown list that will be used when testing the new pronunciation.

To enter a new entry:

  • Press the New button
  • In the Word field, enter the text for the pronunciation you wish to correct.
  • In the Pronunciation field, enter a word or phrase that sounds like the correct pronunciation.
  • Check the "Case Sensitive" checkbox if substitutions for this word should be case sensitive.
  • Use the Test button to test the new pronunciation.
  • Press the Apply button to save the new pronunciation
  • Press Done when finished using the editor.

To modify the pronunciation for an existing entry:

  • Select the existing entry from the list (on the left), or enter text into the Word field for the existing entry.
  • In the Pronunciation field, enter a word or phrase that sounds like the correct pronunciation.
  • Use the Test button to test the new pronunciation.
  • Press the Apply button to save the new pronunciation
  • Press Done when finished using the editor.

To delete an existing entry:

  • Select the existing entry from the list (on the left), or enter text into the Word field for the existing entry
  • Tab out of the Word field.
  • Press the Delete button
  • Press Done when finished using the editor.

Changing the Pronunciation of Substrings

By default, entries in the Basic Pronunciation Editor are applied only when text in the "Word" field actually occurs on a word boundary. Substitutions are not performed on text that appears as a substring of another word.

For example, entering an alternative pronunciation for the word "day" changes the pronunciation of "day" everywhere it appears as a word, but not in words like "today", "yesterday", etc.

To change the substitution of words that appear as substrings, use the & character. The placement of the & determines whether leading characters, trailing characters, or both should allow substitutions.

In the table below, a "Yes" in the column indicates that a Basic Pronunciation Editor substitution will be performed for the word.

 | Word Field of Pronunciation Editor
Word In Text | board | &board | board& | &board&
board | Yes | Yes | Yes | Yes
snowboard |  | Yes |  | Yes
boarding |  |  | Yes | Yes
snowboarding |  |  |  | Yes

Pattern Matching With Masks and Regular Expressions

Masks and Regular Expressions allow you to perform more complex filtering and pronunciation changes from the Basic Pronunciation Editor. Instead of specifying pronunciations for individual words or substrings, you can specify patterns to search for and build pronunciations based on subexpressions in the matching strings.

If you're not familiar with the term, Regular Expressions are a pattern matching language used for searching and parsing text. TextAloud help will not get into the detailed syntax of using Regular Expressions, so if you've never seen them before you will need to look at some reference material. There are plenty of references available on the web, you can get started by clicking here .

Although not as powerful as Regular Expressions, Masks provide similar capability and are easier to learn and use.

A Mask or Regular Expression is added to the Basic Pronunciation Editor by placing one of the following into the Word field:

{{re=.... regular expression ...}}

{{mask=.... mask ...}}

A string in the Word field beginning with {{re= or {{mask= indicates the beginning of a regular expression or mask. The trailing }} characters are required to terminate the string.

The following characters may be used to construct a Mask:
Mask Character | Description
# | Matches any digit (0 thru 9).
$ | Matches any alpha character (a thru z and A thru Z).
@ | Matches any alpha-numeric character (a thru z, A thru Z, and 0 thru 9).
? | Matches any character (wildcard).
_ (underscore) | Matches any word boundary character (spaces and punctuation).

In the Pronunciation field, supply the text that should be substituted for any text that matches the Mask or Regular Expression. Use sets of parentheses in the Mask / Regular Expression to indicate subexpressions that should be included in the Pronunciation field. $1 in the pronunciation field references the first parentheses set, $2 the second set, and so on. This allows you to change the pronunciations of text patterns, where the substituted text contains pieces of the strings that match the patterns.

The following examples will illustrate how to use a Mask or Regular Expressions to change the pronunciation of year numbers. The sample problem is to ensure that year numbers (like 1987) are pronounced as "nineteen eighty seven" and not "one thousand nine hundred and eighty seven".

Example 1 - Year Number Pronunciation Using a Mask

To solve this problem using a mask, enter the following text into the Word and Pronunciation fields:

Word: {{mask=_19(##)(_)}}

Pronunciation: <s>nineteen $1$2

The pattern specified by the mask is a leading word separator, followed by the string "19", two digits and another word separator. Whenever this pattern is detected in the text, the text in the Pronunciation field will replace it. The <s> in the pronunciation indicates to insert a space. This is necessary because the first character matched by the mask is a word separator, so a leading space should be included in the substitution. Following this space, the string "nineteen " is added. The $1 and $2 strings in the Pronunciation reference parentheses sets in the mask: $1 is replaced by the last two digits of the year, and $2 is replaced with any trailing punctuation.

Example 2 - Year Number Pronunciation Using a Regular Expression

To solve the same problem using a Regular Expression, enter the following text into the Word and Pronunciation fields:

Word: {{re=\b19(\d\d)(\b)}}

Pronunciation: <s>nineteen $1$2

The use of a regular expression is very similar to a mask in this case. The "\b" strings in the Regular Expression match on word separators, and the "\d" strings match on the digits 0 thru 9.

Tips

  • Use the Basic Pronunciation Editor to correct the pronunciations of acronyms and technical language.
  • To quickly enter a new word from the TextAloud main window, highlight a word in an article , right click, and select Pronunciation Editor from the popup menu.

Notes

  • A word may not be defined in the Basic Pronunciation Editor if it is already defined in the Advanced Editor.

Related Topics

Advanced Pronunciation Editor


Advanced Pronunciation Editor

The Advanced Pronunciation Editor provides advanced control over pronunciations of words that are not pronounced correctly by Text-To-Speech engines. When using the Advanced Editor, you correct the pronunciation of words by specifying "phonemes" that instruct the engine how each part of the word should sound.

The Advanced Pronunciation Editor is available only if you set the SAPI Version field (see Engines / Voices panel) to "Use SAPI5 Only". The phoneme editor is not implemented for SAPI4 voices.

Accessing the Advanced Pronunciation Editor

  • On the Engines / Voices Options Panel, set SAPI Version to "Use SAPI5 Only"
  • From the menu, select Options -> Pronunciation Editor
  • Click the "Advanced Editor" tab.

The following fields are available in the Advanced Pronunciation Editor

Field Name | Description
Word | Enter the word you wish to enter a new pronunciation for.
Pronunciation | Enter a string of phonemes that describes how the word should sound.
Test Voice | Choose a voice from the dropdown list that will be used when testing the new pronunciation.

To enter a new entry:

  • Press the New button
  • In the Word field, enter the text for the pronunciation you wish to correct.
  • In the Pronunciation field, enter a string of phonemes that describes the sound of the word. Scroll through the phoneme list on the window to help locate phonemes with the correct sound. You can append phonemes from the phoneme list by double-clicking entries in the list.
  • Use the Test button to test the new pronunciation.
  • Press the Apply button to save the new pronunciation
  • Press Done when finished using the editor.

To modify the pronunciation for an existing entry:

  • Select the existing entry from the list (on the left), or enter text into the Word field for the existing entry.
  • In the Pronunciation field, enter a string of phonemes that describes the sound of the word. Scroll through the phoneme list on the window to help locate phonemes with the correct sound. You can append phonemes from the phoneme list by double-clicking entries in the list.
  • Use the Test button to test the new pronunciation.
  • Press the Apply button to save the new pronunciation
  • Press Done when finished using the editor.

To delete an existing entry:

  • Select the existing entry from the list (on the left), or enter text into the Word field for the existing entry
  • Tab out of the Word field.
  • Press the Delete button
  • Press Done when finished using the editor.

Notes

  • A word may not be defined in the Advanced Pronunciation Editor if it is already defined in the Basic Editor.
  • The substring match character (&) recognized in the Basic Editor is not implemented in the Advanced Editor.
  • Regular Expressions and Masks recognized in the Basic Editor are not implemented in the Advanced Editor.

Related Topics

Basic Pronunciation Editor

Engines / Voices Panel


Using Bookmarks

Bookmarks are special tags recognized by TextAloud used for marking positions in an article . Bookmarks can be used to help with editing long articles, and also for skipping portions of text when speaking the article aloud.

To Create a Bookmark in an Article

  • Position the cursor to the location where the bookmark should be inserted, and click the left mouse button.
  • Click the right mouse button to display the article's popup menu.
  • Select Add Bookmark
  • In the prompt displayed, enter a string to identify a bookmark. You will receive an error if the string has already been used as a bookmark in the article .

To Go to a Bookmark

  • Click the right mouse button to display the article's popup menu.
  • Select Go To Bookmark. The bookmarks defined for the article will appear as a submenu.
  • Select a bookmark.

Notes

  • The Go To Bookmark menu entry is disabled when writing text to audio files. The entry is only available when not speaking, or if speaking text aloud.


Inserting Pauses

Pause tags may be inserted into TextAloud articles, causing voices to pause for an interval you specify. In addition, TextAloud can be configured to automatically generate pauses at the end of each sentence and/or paragraph.

To Insert a Pause Manually

  • Using your mouse, position the cursor to a location in the article where a pause should be inserted. Press the left button on the mouse.
  • Press the right button on your mouse to display the article's popup menu.
  • From the popup menu, select "Insert Pause". A submenu of pause values ranging from .25 seconds to 10 seconds will be displayed. Select "User Defined" from the submenu to use a pause value that is not predefined.

To Generate Pauses Automatically

  • Use the Predefined Pauses options panel to define the intervals for pauses inserted automatically. Automatic pauses are available for end of sentence and end of paragraph.


Using Voice Change Tags

Voice change tags are used to cause TextAloud to change voices while speaking an article . These tags may be used when speaking text aloud or to an audio file, and are commonly used to create a "dialog" effect as text is spoken.

Voice Change Tags are only supported if SAPI Version (on the Engines/Voices panel) is set to "Use SAPI5 Only".

To use Voice Change Tags

  • Make sure SAPI Version is set to "Use SAPI5 Only"
  • Position your mouse cursor to the location in the article where you would like to change voices, and left click.
  • Right click to display the article's popup menu
  • Select "Insert Voice Change". Available SAPI5 voices will appear as a submenu.
  • Select a voice.

Tips

  • Use Shortcut Setup to assign shortcuts to voices you use frequently.


Setting Up the Toolbar

Setting Up the Internet Explorer Toolbar

The Internet Explorer Toolbar is a plugin that allows Internet Explorer to send web pages to TextAloud. Web pages can be added as new articles or read aloud.

The toolbar is installed during TextAloud installation, but the following steps are required to use the it.

  • From Internet Explorer, click the View menu
  • Select Toolbars
  • From the Toolbar submenu, select TextAloud.

The TextAloud toolbar should appear at the top of the browser, along with other toolbars you're using. You can reposition the toolbar by left clicking the TextAloud label, and dragging the toolbar to where you want it. You can position the TextAloud toolbar in its own row by dragging it beneath your other toolbars.


Using the Toolbar

Using the Internet Explorer Toolbar

The following controls are available on the toolbar:
Control | Description
Speak | Speaks the web page aloud. If text is selected, only the selected text is spoken.
Stop | Stops speaking.
Add Article | Adds the web page to TextAloud as a new article. If text is selected, only the selected text is added.
Options Panels | Displays a drop down that provides access to the TextAloud Options panels.
Voice Dropdown List | Allows you to specify the voice used when the Speak button on the toolbar is pressed.


Single-Article Mode

In Single-Article Mode, each article copied into TextAloud replaces the previous article . Use this mode if you want to listen to individual articles as they are copied from the Windows Clipboard . In this mode you also have the option of having TextAloud automatically read articles as they are copied.

Setting Single-Article Mode

Perform any one of these actions to place TextAloud in Single-Article Mode.

  • Press the Single button on the toolbar.
  • From the menu, select Options -> Single Article.
  • Right click the TextAloud icon in the System Tray, and select Options->Single Article.

Setting Single-Article Options

  • From the menu, select Options -> TextAloud Options
  • Select the Article Options panel.

The following fields are available on the Single-Article Options panel

Field Name | Description
Voice Selection | Default - The default voice is always assigned to new articles. Random - A random voice from your currently enabled voices is assigned to new articles.
Automatically Speak New Text | If this option is checked, TextAloud will automatically speak articles as they are added.
Generate Default Article Titles | This option should normally be selected. Uncheck this only if you want the article title to remain fixed, instead of being regenerated for each new article.

Related Topics

Multi-Article Mode


Multi-Article Mode

In Multi-Article Mode, each article created in TextAloud is added to a list of articles. Use this mode to have TextAloud accumulate a list of articles to be read at a later time.

Setting Multi-Article Mode

Perform any one of these actions to place TextAloud in Multi-Article Mode.

  • Press the Multi button on the toolbar.
  • From the menu, select Options -> Multi Article.
  • Right click the TextAloud icon in the System Tray, and select Options->Multi Article.

Navigating the Article List

  • Use the Article Dropdown List, located beneath the toolbar.
  • Use the Outer Scrollbar to scroll the article list. An Inner Scrollbar may be present for scrolling within individual articles.

Setting Multi-Article Options

  • From the menu, select Options -> TextAloud Options
  • Select the Article Options panel.

The following fields are available on the Multi-Article Options panel

Field Name | Description
Voice Selection | Default - The default voice is always assigned to new articles. Random - A random voice from your currently enabled voices is assigned to new articles. Round Robin - Voices for new articles are assigned sequentially from your currently enabled voices.
File Output | Determines the number of files written when generating audio files for multiple articles. Use Single File to write all articles to one audio file. Use Multiple Files to generate an audio file for each article.
Automatically Delete Text after play | If this option is checked, TextAloud will automatically delete articles as they are spoken.

Notes

  • In Multi-Article Mode, the "Speak" and "To File" buttons on the toolbar process all articles in the list. To process only the currently selected article , use the "Speak" and "Speak to File" buttons located on the panel under the toolbar.

Related Topics

Single-Article Mode


Clipboard Options

Setting Clipboard Options

  • From the menu, select Options -> TextAloud Options
  • Select the Clipboard Options panel.

The following fields are available on the File Options panel

Field Name | Description
Watch Clipboard | This option determines whether or not TextAloud will watch the Windows Clipboard for updates. All options on this window are effective only if Watch Clipboard is enabled.
Ignore Clipboard Text Less Than | Sets the minimum amount of text on the Windows Clipboard that will be copied into TextAloud. Set this to a value high enough so that TextAloud will ignore routine copy and paste operations between windows.
Ignore Clipboard Updates if text has not changed | Select this checkbox to prevent the same text from being copied into TextAloud multiple times. Text will be copied from the Windows Clipboard only if it is different than the last text copied.
Prompt to copy from clipboard | Select this option to have TextAloud prompt you before retrieving text from the Windows Clipboard. If this option is not selected, text copied to the Windows Clipboard will be retrieved with no prompt.
Display Prompt for | The number of seconds to display the clipboard prompt before automatically closing. If the prompt automatically closes, the Default Action (see below) is taken.
Default Action | The action taken when the clipboard prompt closes automatically.

Tips

  • Occasionally applications will send Windows Clipboard notifications when in fact, the clipboard was not updated. Use the "Ignore Clipboard Updates if text has not changed" checkbox to prevent TextAloud from retrieving the same text multiple times.
  • The "Watch Clipboard" setting can also be accessed directly from the Options menu, or from the Options menu in the popup displayed by right clicking the TextAloud icon in the system tray.

Related Topics

Loading Articles


Predefined Pauses

The Predefined Pauses panel allows you to set the pause intervals for automatically generated pauses.

Setting Predefined Pauses

  • From the menu, select Options -> TextAloud Options
  • Select the Predefined Pauses Options panel.

The following pauses can be defined on the Predefined Pauses panel

Type of Pause | Description
Sentence Pause | The length of pauses automatically generated by TextAloud after each sentence. Set this value to 0 if you do not want pauses inserted at end of sentences.
Paragraph Pause | The length of pauses automatically generated by TextAloud after each paragraph. A "paragraph" in TextAloud is a block of text followed by 2 or more carriage returns and/or blank lines. Set this value to 0 if you do not want pauses inserted at end of paragraphs.

Pause Tags

A Pause Tag in TextAloud is a string of the form

{{Pause=nn}}

where nn is the number of seconds to pause. After using one of the Insert Pause menu entries, you can adjust this pause value in the directly in the article , but be sure to keep the rest of the tag in tact. Pause tags may also be keyed into an article without using the Pause Menu entries.

One or more spaces are required to precede the pause tag, otherwise TextAloud will not recognize the tag.

Fractions of seconds can be used by entering decimal values. For example, a half second pause can be generated by using the tag

{{Pause=.5}}

Pause tags are recognized by TextAloud if they appear in imported documents.


Skins

"Skins" are files that can change the appearance of a program. Using the Skins Panel, you can select and test alternative looks for the TextAloud window, where the window colors and window borders/buttons are changed to offer a variety of looks to the program.

Using Skins

  • From the menu, select Options -> TextAloud Options
  • Select the Skins panel.
  • Press the OK button to use the new skin. You can test various skins before exiting the dialog.

Select "None (Skins Disabled)" to use TextAloud without skins.

More Skins

The normal TextAloud 2.0 download includes 5 different looks. We have another 50+ skins available here for download, if you'd like to have more options. Visit http://www.nextup.com/skins.html for instructions on downloading and installing these skins.


Miscellaneous Options

The Miscellaneous Options panel contains some settings that are not frequently used.

The fields available on the Miscellaneous Options panel are:
Type of Pause | Description
Default Voice | The voice used for speaking articles when Voice Selection is set to "Default". See Single-Article and Multi-Article Mode panels.
Toolbar Button Style | Sets the toolbar button style for the main window. Select from Small, Large with captions, and Large without captions.
Show Floating Toolbar | Controls display of the Floating Toolbar On Request Only - The Floating Toolbar is only displayed from the TextAloud icon in the system tray. Right click the icon and select "Show Toolbar". When Minimized - The Floating Toolbar is displayed whenever TextAloud is minimized. The toolbar is hidden automatically when the main window is redisplayed. When Minimized and Reading Starts - The Floating Toolbar is displayed only when TextAloud is minimized and currently speaking.
Floating Toolbar Button Style | Sets the button style for the Floating Toolbar. Select from Small, Large with captions, and Large without captions.
Floating Toolbar Always On Top | Select this option to keep the Floating Toolbar on top of your other windows. This prevents other windows from hiding the toolbar.
Highlight Current Word | Select this option to have TextAloud highlight the current word being read.
Start TextAloud on Windows Login | Select this option if you want TextAloud to start automatically whenever you login to Windows.
Filter non-alpha symbols | Select this option to prevent TextAloud from speaking non-alpha symbols, such as the ">" symbols which commonly appear in email messages.
Show Splashscreen at Startup | Uncheck this option to suppress the splash screen normally displayed by TextAloud during startup.
TextAloud resides in system tray when window closed | This setting controls the behavior of the "X" button in the TextAloud title bar. The default setting is to hide the window, and leave TextAloud running in your system tray. To exit the TextAloud application, you must select "Exit TextAloud" from the File Menu. If you uncheck this setting, clicking the "X" button will cause TextAloud to exit instead of minimizing to the system tray.

Related Topics

Single-Article Mode

Multi-Article Mode

Main Window Toolbar

Floating Toolbar


Article Font / Text Size

The Article Font / Text Size dialog allows you to control the appearance of TextAloud articles.

Setting Article Font, Text Size and Text Colors

  • From the menu, select Options -> Article Font / Text Size

Use this dialog to control the font, font style and font size used in TextAloud articles. In addition, you can set the foreground and background colors for both normal and highlighted text.


Shortcut Setup

Shortcuts provide quick access to menu entries in the TextAloud main menu. You can change the predefined shortcuts to others if you prefer, or add new shortcuts.

Setting Shortcuts

  • From the menu, select Options -> Shortcut Setup

The window displayed contains a list of all menu selections available in TextAloud, along with shortcuts currently assigned.

To change shortcuts or add new ones, select any menu entry in the list and click the Edit button. In the popup dialog displayed, simply press the keystrokes you would like to assign as the shortcut. To use multiple keys, such as Shift + F10, press the keys simultaneously.

Related Topics

Configuring the User Interface


HotKey Setup

Setting up HotKeys

From the menu, select Options -> HotKey Setup

The following HotKeys can be configured
HotKey | Description
Import New | Creates an article in TextAloud from selected text in your application.
Speak Text | Causes TextAloud to speak the selected text in your application. The Speak Text HotKey does not create an article from the selected text.
Pause / Resume Speaking | Use this HotKey to Pause and Resume speaking.
Stop Speaking | Use this HotKey to Stop speaking.
Proofread | Use this HotKey to copy selected text into a window specially designed for proofreading.

Tips

The Import New and Speak HotKeys can be used to bypass the clipboard prompt for moving text into TextAloud. If the clipboard prompt is getting in the way, you can temporarily disable the clipboard (see Clipboard Configuration Options ), and use these HotKeys instead.

Notes

When defining HotKeys, be sure to use key combinations that are not already used by Windows or any applications you use. For example, do not assign Ctrl+C as a HotKey, since this key combination is used by Windows for writing to the clipboard.

Related Topics

Configuring the User Interface

Clipboard Configuration Options

Proofreading Documents


Engines / Voices

The Engines / Voices panel is used to configure the speech engines and voices used by TextAloud.

Setting Engine and Voices Options

  • From the menu, select Options -> Voices and File Options
  • Select the Engines / Voices Options panel.

The following fields are available on the File Options panel
Field or Control | Description
SAPI Version | Use this dropdown list to restrict which speech engines are loaded by TextAloud..
Treeview | The treeview contains a list of Engines and Voices loaded into TextAloud.
Slider Controls | Speed, Pitch and Volume slider controls are enabled if you select a voice entry from the treeview.

Setting SAPI Version

SAPI is Microsoft's Speech Application Interface, and is an interface for application programs like TextAloud to interact with speech engines. There are currently two versions of SAPI available, SAPI4 and SAPI5. Both interfaces are supported by TextAloud, but there are some differences in available / implemented features.

The following table summarizes the main differences between using SAPI4 and SAPI5 speech engines in TextAloud:
Engine Feature | SAPI4 Support | SAPI5 Support
Pause Tags (manually inserted / automatically generated) | Most Voices | Yes
Progress Bar feedback when generating WAV files | Yes | No
Advanced Pronunciation Editor | No | Yes
Voice switching tags in TextAloud articles | No | Yes

Engines that support SAPI implement one or both of the available SAPI interfaces. So setting the SAPI Version in TextAloud to either "Use SAPI4 Only" or "USE SAPI5 Only" will load only the voices that support the corresponding SAPI version, and exclude the other voices.

Some engines implement both interfaces, and will be available regardless of the SAPI version chosen. If "Use Both" is selected, TextAloud will use an engine's SAPI4 interface if the engine supports both interfaces. If you want to use Voice Switching Tags or the Advanced Pronunciation Editor for these voices, you must switch the SAPI Version to "Use SAPI5 Only".

Setting Volume

The volume control on the Engine / Voices panel is a SAPI attribute of a voice, like Pitch and Speed. Use the volume setting to set the volume of a voice relative to other voice volumes. Changing the volume control on this panel does not effect your system audio volume.

Related Topics

Advanced Pronunciation Editor

Using Voice Change Tags

Getting Better Voices


Audio File Options

Setting Audio File Options

  • From the menu, select Options -> Voices and File Options
  • Select the File Options panel.

The following fields are available on the File Options panel

Field Name | Description
Audio File Format | Select from WAV, MP3 or WMA
Bit / Sample Rate | This setting is normally used to determine the quality of MP3 and WMA files generated by TextAloud.
Write to File Speed | This setting applies only for SAPI4 voices, and determines how much processor is dedicated to WAV file conversion. Higher values result in faster conversion. See Note below about setting this value too high.
Output File Directory | The directory where audio files are written.

Choosing a Bit / Sample Rate

You will notice that different combinations of Bit Rate and Sample Rate effect the quality of your MP3 and WMA files. A general rule is to choose a Bit Rate or Sample Rate that gives you the best quality, but try to keep the Bit Rate as small as possible. Smaller Bit Rates equate to smaller audio files and faster encoding time.

When choosing a sample rate , it is important to remember that high quality digital speech can be produced at much smaller sample rates than digital music.

If you're planning to copy MP3 or WMA files to a hand-held device (like an MP3 Player), you may also need to check if your device requires a particular audio format. Some players, designed for digital music, only support sample rates in the 44kHz range, and may also require Stereo instead of Mono audio files.

Encoding in Stereo will significantly increase your audio file sizes and encoding times. Since the originating TTS output is truly Mono, it is best to use stereo encoding only if required by the portable device you're using.

The following table provides recommended settings for various voices.

Voice Engine | Recommended Bit / Sample Rate
Microsoft Voices | 32kpbs, 22.05kHz, Mono
Lernout & Hauspie | 16kpbs, 11.02kHz, Mono
8kHz AT&T Natural Voices, 8kHz NeoSpeech | 16kpbs, 16kHz, Mono
16kHz AT&T Natural Voices | 24kpbs, 16kHz, Mono
Cepstral Voices, 16kHz NeoSpeech Voices | 24kpbs, 16kHz, Mono

Tips

  • Most good CD burning software can burn audio CDs from WAV and MP3 files generated by TextAloud. If you do not have audio burning software, check out MP3 CD Burner at http://www.nextup.com/partners.html
  • If you have Windows XP, Windows Media Player has built in burning. You just go to the copy to CD or Device item on the left side of windows media player, Drag in the TextAloud created files, then click the record button in Windows Media Player.

Notes

  • If you're creating WAV files using SAPI5 voices, the Bit / Sample Rate dropdown list can be used to set the WAV file sample rates . This option is not supported with SAPI4 voices, and is only available if SAPI Version is set to "Use SAPI5 Only".
  • On some machines, setting the value for Write To File Speed too high may cause WAV file conversion to interfere with other applications on the machine, and may also cause corrupt WAV files to be generated. We recommend starting with a value of 10x, and increasing the value gradually.
  • The SAPI version mentioned on this page can be set on the Engines / Voices options panel.

Related Topics

Getting Better Voices


Getting Better Voices

TextAloud by default comes with older Text To Speech engines from Microsoft. There are other, newer engines available for download at http://www.nextup.com/TextAloud/SpeechEngine/voices.html

In the last couple of years, a few companies have developed really great sounding voices that are much closer to listening to real human speech. These voices are not available for free download, but must be purchased. Visit the web pages below to hear samples of these exciting new voices.

AT&T Natural Voices

http://www.nextup.com/attnv.html

Cepstral Voices

http://www.nextup.com/Cepstral.html

NeoSpeech Voices

http://www.nextup.com/neospeech.html


Main Window Toolbar

The Main Window Toolbar is the row of icons displayed just below the menu at the top of the TextAloud window. These buttons are shortcuts to common tasks.

Places TextAloud in Single-Article Mode

Places TextAloud in Multi-Article Mode

Reads a document into TextAloud. See Importing Documents .

Pastes text from the Windows Clipboard into the current TextAloud article .

Speaks text aloud. If currently in Multi-Article Mode , this button will cause all articles to be spoken in sequence. If currently in Single-Article Mode , the displayed article is spoken.

Speaks text to audio file(s). If currently in Multi-Article Mode , this button will cause all articles to be written to one or multiple audio files. The File Options setting on the Multi-Article Options panel determines the number of audio files generated. If currently in Single-Article Mode , a single audio file is generated from the current article .

Pause / Resume speaking. This button is enabled only if TextAloud is currently speaking or paused.

Skip to next article . This button is enabled only if TextAloud is currently speaking and in Multi-Article mode.

Stop speaking. This button is enabled only if TextAloud is currently speaking or paused.

Click this button for information on licensing TextAloud for Schools and Assistive Technology. This button can be hidden by right clicking the button and selecting Hide from the popup menu.

Click this button for information on additional voices. Voices for multiple languages are available, as well as accented variations of English such as UK English, Scottish and Indian Accent English. This button can be hidden by right clicking the button and selecting Hide from the popup menu.


Floating Toolbar

The Floating Toolbar is a small window that provides access to some buttons on the Main Window Toolbar while the main window is minimized. See the Miscellaneous Options panel for options that control the display of this toolbar.

Speaks text aloud. If currently in Multi-Article Mode , this button will cause all articles to be spoken in sequence. If currently in Single-Article Mode , the displayed article is spoken.

Speaks text to audio file(s). If currently in Multi-Article Mode , this button will cause all articles to be written to one or multiple audio files. The File Options setting on the Multi-Article Options panel determines the number of audio files generated. If currently in Single-Article Mode , a single audio file is generated from the current article .

Pause / Resume speaking. This button is enabled only if TextAloud is currently speaking or paused.

Skip to next article . This button is enabled only if TextAloud is currently speaking and in Multi-Article mode.

Stop speaking. This button is enabled only if TextAloud is currently speaking or paused.

Hides the toolbar and redisplays the main window.


File Menu

The following selections are available from the File Menu:

Menu Selection | Description
Open | Reads a document into TextAloud. See Importing Documents.
New Article | Creates a new, blank article and assigns the article a default title. If currently in Multi-Article Mode, the new article is appended to the current list. In Single-Article Mode, the new article replaces the current article.
Save Article As | Allows you to save the currently displayed article as a text file.
File Splitter Utility | Displays the File Splitter Utility window. The File Splitter allows you to split large text files into multiple smaller files.
Batch File Converter | Displays the Batch File Converter window. The Batch File Converter lets you create audio files from a list of documents.
Tell a Friend | Opens your browser and displays a page that lets you tell your friends about TextAloud and other NextUp products.
Exit TextAloud | Closes the TextAloud application.

Related Topics

Importing Documents

Single-Article Mode

Multi-Article Mode

File Splitter Utility

Batch File Converter


Edit Menu

The following selections are available from the Edit Menu:

Menu Selection | Description
Undo | When making changes to the text of an article, this entry will undo your most recent change. Select Undo multiple times to continue undoing previous changes.
Redo | If you Undo an edit you've made to an article and change your mind, select Redo to reapply the change.
Cut | Cuts the selected text from the article and places it on the Windows Clipboard. Selected text is removed from the article.
Copy | Copies the selected text to the Windows Clipboard. Selected text is not removed from the article.
Paste | Pastes any text currently on the Windows Clipboard into the current TextAloud article.
Select All | Marks all text in the current TextAloud article as selected.
Search | Displays a dialog that allows you to search one or more articles for a text string.
Repeat Search | Repeats the most recent search you've performed.
Replace | Displays a dialog which allows you to search and replace text in one or more articles.
Delete Selected Article | Deletes the currently displayed article. If currently in Single-Article Mode, the deleted article is replaced with a blank article and assigned a default title.
Delete All Articles | Use this menu selection in Multi-Article mode to delete all articles. After deleting the articles, a blank article is inserted and assigned a default title.
Insert Short Pause | Inserts a tag for a short pause at the current cursor position. The short pause value is specified on the Predefined Pauses panel (Options -> TextAloud Options).
Insert Long Pause | Inserts a tag for a long pause at the current cursor position. The long pause value is specified on the Predefined Pauses panel (Options -> TextAloud Options).
Insert Voice Change | This option is available only if SAPI Version is set to "Use SAPI5 Only". (See Engines/Voices Panel). If SAPI Version is set to "Use SAPI5 Only", a submenu of enabled SAPI5 voices is attached to this menu entry. Selecting a voice from the submenu inserts a voice change tag for the selected voice at the current cursor position.
Add Bookmark | Displays a prompt for a bookmark name, and inserts a bookmark tag at the current cursor position.
Go To Bookmark | A submenu of all defined bookmarks is attached to this menu entry. Selecting a bookmark tag from the submenu will reposition the article to the selected bookmark. If speaking is progress, speaking will stop and resume at the bookmark.
Increment Voice Speed | This menu entry is enabled only when speaking text aloud. Selecting this entry causes speaking to stop and restart after increasing the voice speed.
Decrement Voice Speed | This menu entry is enabled only when speaking text aloud. Selecting this entry causes speaking to stop and restart after decreasing the voice speed.
Increment Voice Pitch | This menu entry is enabled only when speaking text aloud. Selecting this entry causes speaking to stop and restart after increasing the voice pitch.
Decrement Voice Pitch | This menu entry is enabled only when speaking text aloud. Selecting this entry causes speaking to stop and restart after decreasing the voice pitch.

Related Topics

Single-Article Mode

Multi-Article Mode

Engines / Voices

Predefined Pauses

Using Bookmarks


View Menu

The following selections are available from the View Menu:

Menu Selection | Description
Toolbar | See Toolbar Submenu below.
Skins | Displays window for testing and applying Skins to change the look and feel of the TextAloud application.

The following selections are available from the Toolbar Submenu:

Menu Selection | Description
Show Toolbar | Toggle this menu entry to hide / display the main window toolbar.
Small Buttons | Select this menu entry to use small buttons in the main window toolbar.
Large Buttons With Captions | Select this menu entry to use large buttons with captions in the main window toolbar. This is the default setting.
Large Buttons Without Captions | Select this menu entry to use large buttons in the main window toolbar and hide the captions.

Related Topics

Skins


Options Menu

The following selections are available from the Options Menu:

Menu Selection | Description
TextAloud Options | Displays the following options panels: Article Options, Clipboard Options, Predefined Pauses, Skins and Miscellaneous Options.
Voices and File Options | Displays the Engines / Voices and File Options panels.
Watch Clipboard | Toggles the Windows Clipboard monitoring feature on and off. If this option is disabled, TextAloud will not monitor the Windows Clipboard for changes.
Single Article | Places TextAloud in Single-Article Mode.
Multi Article | Places TextAloud in Multi-Article Mode.
Select Audio Device | This dialog should be not be used if TextAloud is operating normally. NextUp Support may ask you to use the Select Audio Device dialog when TextAloud appears to be having problems accessing your system audio / sound card.
Pronunciation Editor | Displays the Basic Pronunciation Editor. If one or more SAPI5 voices are currently loaded, the Advanced Pronunciation Editor is also available on a separate panel.
Article Font / Text Size | Displays a dialog allowing article font, text size and colors to be selected.
Shortcut Setup | Displays the Shortcut Setup window for assigning keyboard shortcuts to commonly used TextAloud menu entries.
HotKey Setup | Displays the HotKey Setup window for assigning system-wide hotkeys used to access TextAloud features from other applications.

Related Topics

Single-Article Mode

Multi-Article Mode

Clipboard Options

Predefined Pauses

Miscellaneous Options

Engines / Voices

Audio File Options

Basic Pronunciation Editor

Advanced Pronunciation Editor

Article Font / Text Size

Shortcut Setup

HotKey Setup


Speak Menu

The following selections are available from the Speak Menu:

Menu Selection | Description
Speak From Cursor Aloud | Select this entry to speak the current article starting at the current cursor position.
Speak Selected Text Aloud | Use this selection to speak part of an article. Highlight the article area you wish to speak and click this selection.
Speak All Articles Aloud | This menu selection performs exactly like the Speak button on the toolbar. In Multi-Article Mode, all articles will be spoken in sequence. In Single-Article Mode, the displayed article will be spoken.
Speak All Articles to File | This menu selection performs exactly like the To File button on the toolbar. In Multi-Article Mode, all articles will be written to audio file(s). The File Output selection on the Multi-Article Options panel determines how many audio files are generated. In Single-Article Mode, the displayed article will be written to a single audio file.
Pause | Use this selection to Pause and Resume speaking. Pause/Resume is enabled only if TextAloud is currently speaking or paused.
Skip Speaking Forward | Use the submenu for this menu entry to skip forward in the text while speaking. The submenu selections allow you to skip forward by screen, paragraph, or number of lines. This menu entry is enabled only if TextAloud is currently speaking.
Skip Speaking Back | Use the submenu for this menu entry to skip backward in the text while speaking. The submenu selections allow you to skip backward by screen, paragraph, or number of lines. This menu entry is enabled only if TextAloud is currently speaking.
Skip to Next Article | This menu selection performs exactly like the Skip button on the toolbar. The selection is enabled only if TextAloud is currently speaking and in Multi-Article Mode. Use this menu selection to stop speaking the current article, and skip to the next one.
Skip to Previous Article | The selection is enabled only if TextAloud is currently speaking and in Multi-Article Mode. Use this menu selection to stop speaking the current article, and skip backward to the previous one.
Stop | Use this menu selection to stop speaking.

Related Topics

Single-Article Mode

Multi-Article Mode

Miscellaneous Options


File Splitter Utility

The File Splitter Utility allows you to split very large text files into multiple, smaller files. You can use the File Splitter to split a file that is several megabytes in size into smaller text files that can be more conveniently handled in multiple TextAloud articles. If you're creating MP3 or WMA files to download to a player, it is often useful to create multiple small audio files (for example, one audio file per chapter) instead of one very large MP3 / WMA file.

Using the File Splitter

  • From the menu, select File -> File Splitter Utility

The following fields are available in the File Splitter Utility window:
Field | Description
Input File Path | The name of the file to split. The entire path name must be specified, and may be a Word, RTF, PDF, HTML or text document.
Output File Directory | The directory to use when writing the split files. An existing directory must be specified.
Base Output Filename | The base filename used for naming the split files. Each split filename consists of a base file name followed by an underscore and sequence number. The base filename defaults from the input file.
Starting Output File Sequence Number | A sequence number is appended to each split file name generated. Use this field to specify the starting sequence number.
Split Method | Radio control that allows you to split using either a target size for the split files, or keyword(s) which appear in the source file.
Target Output File Size | If Split Method is set to By Output Target File Size, use this field to specify the target size for split files.
Comma Delimited List of Strings | If Split Method is set to By Specified Strings in Input File, use this field to specify the keyword(s) to split on. If using multiple keywords, use a comma to separate them.

When splitting by target file size, the File Splitter will always split on sentence boundaries to ensure that sentence fragments are not loaded into TextAloud articles. The actual file sizes of the split articles will vary, but should be close to the specified target size.

Loading File Splitter Output into TextAloud

To load File Splitter output into TextAloud, follow these steps:

  • Make sure you're in Multi-Article Mode .
  • Select the Open button from the toolbar.
  • Navigate to the directory containing the split files.
  • Using either the Shift or Ctrl keys, select the split files, and press Open.
  • The selected files will be loaded into individual TextAloud articles.


Batch File Converter

The Batch File Converter is a tool that allows you to select many document files, and convert them all to audio files. The utility supports all document formats supported by Document Import .

Using the Batch File Converter

  • From the menu, select File -> Batch File Converter

The fields available on the Batch File Converter window are:
Field | Description
Output Directory | The directory where audio files will be written. An existing directory must be specified.
Audio File Format | Select from choices WAV, MP3, or WMA
Bit / Sample Rate | This setting is normally used to determine the quality of MP3 and WMA files generated by TextAloud.
Voice Selection | Allows you to control how voices are selected to write audio files. Select - Allows you to choose a single voice used to generate all audio files. Random - TextAloud will choose a random (enabled) voice for each audio file. Round Robin - TextAloud will choose a voice for each audio file by sequentially stepping through your enabled voices.
Voice | This field is enabled only if Voice Selection is set to Select. Use this field to determine which voice will be used in writing audio files.

The Buttons beneath the list area perform the following functions:
Press this button ... | To do this ...
Add Files | Add one or more documents to the list area of documents to convert. In the Open dialog displayed, use the Shift or Ctrl keys for selecting multiple files.
Remove Selected | Remove the selected documents from the list of documents to convert.
Remove All | Removes all documents from the list area.
Convert | Starts the conversion to audio files.
Exit | Exit the Batch File Converter window.


Article

An "Article" in TextAloud is the text area on the main window, beneath the panels containing the Title/Voice Fields and Pitch/Speed slider controls. The speaking functions of TextAloud speak the text loaded in an article.

There are two different ways (or modes) of working with articles: Single-Article Mode and Multi-Article Mode. In each mode, only one article is visible from the main window. The difference is that in Single-Article Mode, new articles always replace the current article, meaning there is never more than one article available. In Multi-Article Mode, articles are kept in a list, and new articles are continually added to the list.

For more details on these modes see Single-Article Mode and Multi-Article Mode .

There are several ways of loading text into an article. Articles can be loaded via:

  • Windows Clipboard
  • Document Import (File -> Open)
  • Import HotKey
  • Drag and Drop

For more details on each of these methods, see Loading Articles .


Bit Rate

Bit rate is measured in kbps, or kilobits per second. For audio files this rate corresponds directly to file size: larger bitrates mean larger audio files, and longer encoding times for MP3 and WMA files.

For suggestions on choosing Bit Rates and Sample Rates for your audio files, see the Audio File Options panel help.


Engine

A TTS Engine is software that actually performs conversion of text to audio. Engines are supplied by various vendors to be plugged into programs like TextAloud, and other applications that utilize Text-To-Speech. The developer of an engine will typically offer many voices to choose from, but all the voices will use the vendor's engine for the text to audio conversion.

Converting text to audio is a complex process, and engines use different techniques to accomplish it. For this reason, engines vary widely in the quality of audio produced and system resource (cpu and memory) requirements.


MP3

MP3 is short for Motion Picture Experts Group, Audio Layer 3. MP3 produces CD-quality sound in a compressed file that can be transferred quickly, and played on any multimedia computer with MP3 player software.


Sample Rate

When you listen to digital audio, you are actually listening to many discrete 'samples' of sound. Sample rate is a measure of the number of samples per second, and can be thought of as the resolution or accuracy of the audio. A high sample rate means that the resolution of the recording is high, thus very "accurate". Digital music is typically recorded at sample rates of 44.1kHz and higher. Digital speech can use much lower sample rates without loss of sound quality. High quality speech can be generated at 16kHz; telephony applications use a sample rate of 8kHz.

One kiloHertz (kHz) is one thousand cycles per second.

For suggestions on choosing Bit Rates and Sample Rates for your audio files, see the Audio File Options panel help.


TTS

TTS stands for Text-To-Speech. It is the process of converting text to digital audio.


Voice

Each TTS engine has multiple voices associated with it. As an engine converts text to audio, the voice manipulates the audio to produce the sounds you actually hear.


WMA

The Windows Media Audio format for digital sound, launched by Microsoft as an alternative to the MP3 format. You will probably hear better sound quality from MP3 files, but WMA compression is generally better, so WMA files tend to be smaller than MP3 files.


Windows Clipboard

The Windows Clipboard is a standard part of the Windows operating system, and is used as a short-term storage area for text and/or images. Whenever you "Cut" or "Copy" something from an application, the information is placed on the Windows Clipboard. Applications commonly offer a "Paste" function that allows information on the clipboard to be inserted into the application.

TextAloud monitors the Windows Clipboard for changes, allowing the clipboard to be used to transfer text from any application to a TextAloud article . The clipboard can contain both text and image data, but TextAloud extracts text only, ignoring any images. So copying text into TextAloud can be done just by highlighting an area of text in an application, and pressing Ctrl+C to "Copy" the text to the clipboard.

The Windows Clipboard is used for many purposes on your computer, such as copying and pasting text within a word processor application. TextAloud will be aware of these clipboard updates, and by default, you will be prompted to copy the clipboard changes into TextAloud. Use the Clipboard Options panel to control when TextAloud displays the prompt. For example, you can configure the prompt to display only if the amount of text on the clipboard exceeds a minimum size.


Purchasing TextAloud

TextAloud is distributed as a free demo or trail version. This version will work for about 20 days, after which you must purchase in order to continue use. For complete details on pricing and to purchase, visit http://www.nextup.com/purchase.html


Contacting Us

For more information on TextAloud and other products from NextUp Technologies, drop by our web site at http://www.nextup.com and have a look around.

If you ever have comments, we would really like to hear from you. Feedback from people like you helps us continually improve our products. Please send us email at support@nextup.com


User Forums

NextUp User Forums are a great place to visit and discuss your use of our products with other users. Talk about how to get the most from the products, how you use them, problems you are having, or just ideas on how to make things better. Please visit the TextAloud user forum at http://nextup.com/phpBB2/index.php